Bug 1310387 - SFML included non-free content.
Summary: SFML included non-free content.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: SFML (Show other bugs)
(Show other bugs)
Version: 24
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pranav Kant
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-02-21 09:35 UTC by mejiko
Modified: 2016-07-10 06:01 UTC (History)
4 users (show)

Fixed In Version: SFML-2.3.2-4.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-10 06:01:18 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description mejiko 2016-02-21 09:35:29 UTC
Hello.

SFML included non-free content and non-free trademark.


A) File List URI:

" http://fr.sfml-dev.org/forums/index.php?topic=13420.0 "

" https://anonscm.debian.org/cgit/pkg-games/libsfml.git/tree/debian/README.Debian "


B) File List:

"SFML-2.3.2/examples/pong/*"


Problem 1 (File list URI A):

Copyright infomation (author, permission, license, etc...) is not find. 
It is non-free.


Problem 2 (File list B)

"Pong" is trademark. It is non-free.

https://tsdr.uspto.gov/#caseNumber=76148525&caseType=SERIAL_NO&searchType=statusSearch


I suggest that resolve copyright and trademark problem.
Thanks.

Comment 1 Pranav Kant 2016-02-21 10:47:17 UTC
Hmm. We currently remove only non-free sansation.ttf font as according to Bug 1003569 which was also reported by you. Interestingly, debian maintainer has not removed sansation.ttf files from their package even after claiming to be very strict in this matter[1]. The maintainer claims to have verified the license for sansation.ttf as in this commit[2]. I am not sure whether it would be appropriate to bring that font back in the fedora package now or not. 

And regarding Problem 2, are you sure we can not even use Pong/pong as a filename, even after considering the fact that trademark is PONG (i.e capitalized), and not Pong or pong. I am not well aware of legal issues, please correct me if I am wrong. 

Other than that, I am ready to remove rest of the files as mentioned here[3] and here[4] for which we do not have any solid proof verifying their 'free' nature.


[1] http://fr.sfml-dev.org/forums/index.php?topic=13420.0
[2] https://anonscm.debian.org/cgit/pkg-games/libsfml.git/commit/debian/README.Debian?id=cfe17bd6c4e97871aa7009f5558c1ee87f086b83
[3] http://fr.sfml-dev.org/forums/index.php?topic=13420.0
[4] https://anonscm.debian.org/cgit/pkg-games/libsfml.git/tree/debian/README.Debian

Comment 2 mejiko 2016-02-21 13:55:20 UTC
Thanks you reply.


1) font problem

This font (sansation.ttf) license is: 
https://law.resource.org/pub/uk/life/fonts/Bernd%20Montag%20License.txt

It is non-free. (https://bugzilla.redhat.com/show_bug.cgi?id=1003569).

But Debian copyright file says this font license is OFL. But no evidence.
https://anonscm.debian.org/cgit/pkg-games/libsfml.git/tree/debian/copyright

I suggest that contact font author.


2) PONG trademark

This game call is "Pong". (I see source code)

"PONG" is trademark.

https://tsdr.uspto.gov/#caseNumber=76148525&caseType=SERIAL_NO&searchType=statusSearch

Trademark law is forbid that use similar trademark without permission trademark owner.(I think)

I think that it is trademark problem.

Note: I am not a legal professional.


3) Check copyright infomation

I use search engine and search there file name, same file name files is find.
I think that check there files copyright and license is very hard.

I suggest that remove there files.

Thanks.

Comment 3 Jan Kurik 2016-02-24 15:28:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Tom "spot" Callaway 2016-02-25 19:46:09 UTC
The filename is not an issue, what is at issue is that Pong.cpp calls itself "SFML Pong", and Pong is a registered trademark for a type of game, specifically, the type of game implemented in Pong.cpp.

If you apply a patch like this to Pong.cpp, it will resolve that issue:

diff -up ./Pong.cpp.orig ./Pong.cpp
--- ./Pong.cpp.orig	2016-02-25 14:45:00.489460893 -0500
+++ ./Pong.cpp	2016-02-25 14:45:24.082315620 -0500
@@ -27,7 +27,7 @@ int main()
     float ballRadius = 10.f;
 
     // Create the window of the application
-    sf::RenderWindow window(sf::VideoMode(gameWidth, gameHeight, 32), "SFML Pong",
+    sf::RenderWindow window(sf::VideoMode(gameWidth, gameHeight, 32), "SFML Virtual Tennis",
                             sf::Style::Titlebar | sf::Style::Close);
     window.setVerticalSyncEnabled(true);
 
@@ -72,7 +72,7 @@ int main()
     pauseMessage.setCharacterSize(40);
     pauseMessage.setPosition(170.f, 150.f);
     pauseMessage.setColor(sf::Color::White);
-    pauseMessage.setString("Welcome to SFML pong!\nPress space to start the game");
+    pauseMessage.setString("Welcome to SFML virtual tennis!\nPress space to start the game");
 
     // Define the paddles properties
     sf::Clock AITimer;

Comment 5 Pranav Kant 2016-03-19 09:12:36 UTC
Removed following files:

./examples/pong/resources/ball.wav
./examples/shader/resources/devices.png
./examples/opengl/resources/background.jpg
./examples/shader/resources/background.jpg
./examples/opengl/resources/texture.jpg
./examples/android/assets/canary.wav
./examples/sound/resources/canary.wav
./examples/android/assets/orchestral.ogg
./examples/sound/resources/orchestral.ogg
./examples/win32/resources/image1.jpg
./examples/win32/resources/image2.jpg

Additionally, patched to replace 'pong' with 'virtual' in game name. However, note that this is patched, so lookaside cache still have the original Pong.cpp but it won't be distributed. I hope that is fine to keep it as it is in lookaside (?)

Comment 6 Fedora Update System 2016-03-22 07:39:02 UTC
SFML-2.3.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-89223223c6

Comment 7 Fedora Update System 2016-03-22 07:39:07 UTC
SFML-2.3.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ebd12d69a

Comment 8 Fedora Update System 2016-03-22 07:39:12 UTC
SFML-2.3.2-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1057f74f20

Comment 9 Fedora Update System 2016-03-22 16:55:14 UTC
SFML-2.3.2-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1057f74f20

Comment 10 Fedora Update System 2016-03-22 21:25:56 UTC
SFML-2.3.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89223223c6

Comment 11 Fedora Update System 2016-03-22 21:31:24 UTC
SFML-2.3.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ebd12d69a

Comment 12 Fedora Update System 2016-07-10 06:01:15 UTC
SFML-2.3.2-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.